org.apache.flume

## Class SourceRunner

- java.lang.Object
- - org.apache.flume.SourceRunner

- All Implemented Interfaces:
    LifecycleAware
  Direct Known Subclasses:
    EventDrivenSourceRunner, PollableSourceRunner

      public abstract class SourceRunner
      extends Object
      implements LifecycleAware

  A source runner controls how a source is driven. This is an abstract class used for instantiating derived classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceRunner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SourceRunner` | `forSource(Source source)` Static factory method to instantiate a source runner implementation that corresponds to the type of `Source` specified.
    `Source` | `getSource()`
    `void` | `setSource(Source source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

- - ### Constructor Detail

    - #### SourceRunner

          public SourceRunner()

  - ### Method Detail

    - #### forSource

          public static SourceRunner forSource(Source source)

      Static factory method to instantiate a source runner implementation that corresponds to the type of `Source` specified.
      Parameters:
        `source` - The source to run
      Returns:
        A runner that can run the specified source
      Throws:
        `IllegalArgumentException` - if the specified source does not implement a supported derived interface of `SourceRunner`.

    - #### getSource

          public Source getSource()

    - #### setSource

          public void setSource(Source source)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.